image:
  distribution: OpenWrt

simplestream:
  distro_name: OpenWrt

source:
  downloader: openwrt-http
  url: https://downloads.openwrt.org
  keys:
  # 0x54CC74307A2C6DC9CE618269CD84BCED626471F1 (PGP key for unattended snapshot builds and 23.05, pub key)
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQINBFeXZ7wBEAC3QZ+jhWrdj2XW9AdZpZrgHETZCW7lXxI3pJ2kS4UXNq+40KR2
    GJOdsXDnLb7ZiHNn6yio6qKLXFD/bimxK+22HSJlc3LSF2kKzNrgKoFR2rIKbL3c
    Us7GpWY8VqGTrfwR6OQNcoWqa1n5/tK9xuqKhfpoA2Eci8K+w5YCzCmnOz2vzbgS
    ptuFshTKYI2Z/DLQZyP+OQkEYPfCdani2KsISn4DTx8xFjmW/sb/zf0isemTwWyK
    Oh76FTa0tYdjTtAv3JHqyr2XkddM/oUSc09baCOfhUdo7Ep5rUqKw7BQsjreBYoZ
    WcL/hmlIksUrFlqo/HRpoBgCZpSjsF/Z9otZpSugMHVVlRCnAKQiWxWAd+V+y2FG
    q79myPgiMkbkaIrCelrUhDFRQ5wTnfAppFolw+xtT9bwdkwxZDNBe6PCYuLqD8wg
    jtDtt3q5UaUOMGJrMDKZ0Wi6ycdl/sM59kLfyBV4ybmYkwOLTlMvOATiyUZeJJZO
    2bTKBvD+izsx3Ea4VLPWYSFmk6QwaOMtj6tcXwBgtljzqMJ0S9Gubmopy3WAkP/m
    /6ETJpuIupqEtvbRTX4O/+qnBgY40aQX7B4NgJi2SypP/WML5v2B2amLlhTcN+we
    ULWyH9KvfKny5mrtG5C9xq1eAgKtB2QEDEbRyz34DWVWGpqIY1mscaNv8wARAQAB
    tFtMRURFIEJ1aWxkIFN5c3RlbSAoTEVERSBHbnVQRyBrZXkgZm9yIHVuYXR0ZW5k
    ZWQgYnVpbGQgam9icykgPGxlZGUtYWRtQGxpc3RzLmluZnJhZGVhZC5vcmc+iQIz
    BBABCAAdFiEEwSkIfI43XlhyVMRA6S/3L+xHv74FAlxgMHUACgkQ6S/3L+xHv75z
    Lg//WAirxnXEfYpSRl1iBlwZIF/nDcvqsorVRKv7fmUHQML3CkFp5c2AYDQQEE5E
    Y2kcHgb0LBp05x4CtVj/gHO+E/w+k2UpxU/ZXZzw589pZr16sj+7KMAjn1Wieam8
    fG4WI+zpdNWqFnuhUaQvT+Z9LTnngaCcyOAduC2DIFfRzcZEKIqQ1dhSvjLECrbX
    G0Ebka+KNzFMszKXmy74Ylk/8wNEWFvTEL+wKC5gFoGxp8JSPI9AWBpMLwPuL95Y
    RnV4pLzSKF89g/M8Rr4pw5Ks4sGZxcKtSDgXu0ha6ExvCkp+3oWDAAmIVnVc2IkK
    wNSD9F+c3an2k5jMxj/QeWJpCrOR1zOdJyV8b+D4pXvngO7a//kz2pc9kLEDGDQy
    z1CmuDkU7FjdU1DawCMYipGpHH4N+KEOBe4T9vEeLbAt6WKcYyteJ3boW8wMwvJg
    LQ0DXNIl0Gmgf+I0Zz0mZ+4WL7FfpaC0LhhHpoIqlaFPNHTPQx7TCGCnjC2qZ1UG
    u7wyjElQZ7TkWVgbY7vf7dDGEOnGemwUAaQTxoDzJArvvDyb4KWAWLDu4Hu8eLjE
    m0o3YdgprJxaJ3FLnt4wzkUFEeR3Mm8QAvOF5avZHROx8uVbjYZ7H4c9lgE98n1z
    jhK5MmeLSG1NmXWAyIQiPuVzjG+DQyY7Cob3dKWES9wQ9HiJAjgEEwECACIFAleX
    Z7wCGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEM2EvO1iZHHxonYP/15F
    BZ6Rp5fx4BwCDOC4VLXY4OWDbeUnHTR3TMuFlwDovJxglGYU34zS2xUNnrLtsvLX
    +HRgVi9iUmThkT7qxvgj8ZKQzKp5kDLzCEQth8SmFdVjHT/CDKd3nvATSUOjz/Oa
    3esrV4PTMmKg3twvcD+3cv75qXiDCaq1N9QiX3oBdzdgF7+vBdKLtKEQ1UpiNNoy
    6A/kEn2RRm5oiOZdla9ERtRGAExZHu5HnpcokHAMFAy0erYChmzaI1Hd0byvvRJv
    9wxKACqHANl95XvWvv4935qy/FhvQl402Bnayz8EDnJqlQpkuC6FXrLslJ8d1vur
    W3WP/B+qBi1AkHkrfUkbGP7JpHFwXwtu8ZkE2FoglX6zgeZN6rjIjbSkJE13yUtj
    zRcAhJOTwM/CBMs68w8psNhbj78ULwnqqgP0MHJDEN25Rafm4PgttVn3q/34u1/0
    snNrEVVIT91Ky+AU2Ojq7b254bppPFQg5zhaLeYLSo2GqjIBuDpeD3bYQX+x3qF/
    dpBT2ulw9tyw2iCcaCsp/JES8yUGxD1TelFwo+UbTlt9RxrJeSHn2ohVTiQoJpbo
    sHLV+QFjJjc2Pl6gIB71+b2K+LnwV0j7uwpzYDV8y5VLzcHfvSyoCy7q/au+pjPq
    dLlUUhZgmYvyRtSZ/kVbBu5wfv+Ov2zdsHTBQdwjuQINBFeXaH8BEADO0x1PmKDk
    wozTZMWyYa91zRJBUc8nKY9OHqL9fABtJ5pMSu8Ys/eR77Zx0KMw56ziy14gjkxT
    poPnuLXNT/rGFnZmvyxnh8I7N+qgjgA4h566I74jlvLY/4z6+Pa/9TsoxZ6LEWNO
    Si1Zy8YauI/WNxFjUUcytN+r/mVlg0cfPP/bO+zOrTb9Y/5v8aHVF/XJ+vkOVcrD
    pD7t+QKDwFZ8uJyFO0eJHQ5w7Sa0PoQLHP6KoMSVtIB4T1DTZ84VMXiycfAIm/KQ
    dDgQq50ShdwgQ5HxPIfa0qisPzbUT8NJX04D1cgGkMdq8VDcYKzb0ZBypyLjqc4u
    f8taqBMHzqyAfiadCsaxx5VjN/xq8zxzxPLGS58F3+TTWU+fWwr/nvcBZ0VFdWY4
    IyaXE9wjyTX6IYfULvPRpfjc2+EQjfF9uBMrwT/sqWuf/nFdS7ZQFii/SApplHLc
    ukYX/JJHWm+cdmZQ/nybLYsN9YMd0esaaSMtqrKT/6oL00rBRAFLuNXsybXkHRuR
    HuCsvH683mVdV4bDIMvZ1tFPT5wfyWgdv6UE5HwBsObhIld1pF0O0/Krzko36Ob7
    01OhHP6jJ0v2uaC5TnNFwgO1oWJivtm2QslTdTTaunS5/8N3K0W3NL9gRumCDZSL
    furnmaXvTvMkvYO8F9/L8XaSI2lV9ni7lwARAQABiQQ+BBgBAgAJBQJXl2h/AhsC
    AikJEM2EvO1iZHHxwV0gBBkBAgAGBQJXl2h/AAoJEPk1JaiLaZApD88P/1z+ydDa
    KiT0f08WKdia44Dq1/g1ufTJf2g5OyUMnyi3pIHg5cZcZ5PSW+rK1thV4CWJ8ESV
    hFUVhm3vp1uOGqayYMxmxgdtpchgtlI+5MRNUTelmulaGb1CSFt4TKKECh+BaV4G
    Ylx3xVeevOw2QkY2iQDqCpn+V2om3MzCR4cznwMej+AU002XF7wzzc8cDSs3jwXo
    NTi1l4S/P79AauefgNZwGGZaj7Zku9MsjhwH3fz2PySzsUUVcuLWCdaKBavb24a/
    yJmkCd5jrjXhxlbcbv3BMjAABNG8i+sj2ly+uJSsx07JxNzBc5p315er+Yl2Dx0S
    kqIgDxVz1Q11P3dpm3yvrXQts5GZ2r7AWMSFa+HvEq72EWb/dQxBRpWXeOwiWplP
    gbx6z5EsecpU7MsxGi+pEpFuwKxfEjGxWrHOEpDn7AsKmKxU18fnVYJNIugDPuzS
    MosJLO55QhuFXa80EzmUUs0KXflSA3Vpi5G6wjsbKqQ9P8DxVaPFXGfujZIEjDK7
    iFniMWyreoc7KAi5G104dFfW9ESansUDf59WfHQIlSKV+caOF/+jJ18QLoa5ZSf2
    RMR/Z4mw43BD2A9D1AL1wUZEVGtXBBx6OvtX4MFlJ3Njxgu+ftGpHcyaVd2laKOq
    PueiLYL6RtWpsuJf8tZ7ZrGAoT5RMHuUZ2Xu/bkP/324UjMmaoB2EQARCBvXsvuQ
    5XQw4HAW1np8SUlpARBXj0mJCaBPMAsOBcPQAKlPmqhBgIFPC7ObYP3d6R8yfPEX
    w+bBbprZzOsbUqhGKvYRrKGASg4m5Ycud5vmdRztfeSsY1InebL6UzDZADfAhfsQ
    BLoklSdkWnvBrB5x0J6REX1kTVn9kGJRlHXsORsChiMRhkXGJcBwbqwUQz25Mb7L
    3VFxA+ry1j6PDZ3vpmMdKegqOc/ZXGya2JZDvIuP/m2OtXNB+0httBBMrhXg7hpX
    ZjXCCQNs080nq3RuJCQdC/7i9osyic58yAZ1Z1gniET2eW3rUCoaJ06fIzE5v7Ze
    lXKk6g49xPJOp7wFSMJy8dDC6RkuTdcTs5ChHTBkEWE6vgkJjNPEjP1ditLKRmCR
    kynw7jNs/6PVlNe0kS+88eM5LUeQvU7Uf5b3x2eX6hAw1CEe+8TpR9YSiV+5a8Gl
    8/XalSdFAADIIGqXgkAV6gIkR0kaTPygU4XG/SQKl3skzWBYSza7TDrX7kx6WaWI
    ciZaLKGBXhfIpbqN4pYil70TkvtvxI8jkcd1PuinLcbtoPVcjeSN1oiIyclurSdK
    9zlWpETtS/QQRx6m8V6K5gdjJ2W7FHI1/+2zYmyR8Sew5zUmJL4Y94igaYUvzmq0
    U7NziyphAaEuP2IxF+Y3
    =kEox
    -----END PGP PUBLIC KEY BLOCK-----

  # 0x6D9278A33A9AB3146262DCECF93525A88B699029 (PGP key for unattended snapshot builds and 23.05, sub key)
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQINBFeXZ7wBEAC3QZ+jhWrdj2XW9AdZpZrgHETZCW7lXxI3pJ2kS4UXNq+40KR2
    GJOdsXDnLb7ZiHNn6yio6qKLXFD/bimxK+22HSJlc3LSF2kKzNrgKoFR2rIKbL3c
    Us7GpWY8VqGTrfwR6OQNcoWqa1n5/tK9xuqKhfpoA2Eci8K+w5YCzCmnOz2vzbgS
    ptuFshTKYI2Z/DLQZyP+OQkEYPfCdani2KsISn4DTx8xFjmW/sb/zf0isemTwWyK
    Oh76FTa0tYdjTtAv3JHqyr2XkddM/oUSc09baCOfhUdo7Ep5rUqKw7BQsjreBYoZ
    WcL/hmlIksUrFlqo/HRpoBgCZpSjsF/Z9otZpSugMHVVlRCnAKQiWxWAd+V+y2FG
    q79myPgiMkbkaIrCelrUhDFRQ5wTnfAppFolw+xtT9bwdkwxZDNBe6PCYuLqD8wg
    jtDtt3q5UaUOMGJrMDKZ0Wi6ycdl/sM59kLfyBV4ybmYkwOLTlMvOATiyUZeJJZO
    2bTKBvD+izsx3Ea4VLPWYSFmk6QwaOMtj6tcXwBgtljzqMJ0S9Gubmopy3WAkP/m
    /6ETJpuIupqEtvbRTX4O/+qnBgY40aQX7B4NgJi2SypP/WML5v2B2amLlhTcN+we
    ULWyH9KvfKny5mrtG5C9xq1eAgKtB2QEDEbRyz34DWVWGpqIY1mscaNv8wARAQAB
    tFtMRURFIEJ1aWxkIFN5c3RlbSAoTEVERSBHbnVQRyBrZXkgZm9yIHVuYXR0ZW5k
    ZWQgYnVpbGQgam9icykgPGxlZGUtYWRtQGxpc3RzLmluZnJhZGVhZC5vcmc+iQIz
    BBABCAAdFiEEwSkIfI43XlhyVMRA6S/3L+xHv74FAlxgMHUACgkQ6S/3L+xHv75z
    Lg//WAirxnXEfYpSRl1iBlwZIF/nDcvqsorVRKv7fmUHQML3CkFp5c2AYDQQEE5E
    Y2kcHgb0LBp05x4CtVj/gHO+E/w+k2UpxU/ZXZzw589pZr16sj+7KMAjn1Wieam8
    fG4WI+zpdNWqFnuhUaQvT+Z9LTnngaCcyOAduC2DIFfRzcZEKIqQ1dhSvjLECrbX
    G0Ebka+KNzFMszKXmy74Ylk/8wNEWFvTEL+wKC5gFoGxp8JSPI9AWBpMLwPuL95Y
    RnV4pLzSKF89g/M8Rr4pw5Ks4sGZxcKtSDgXu0ha6ExvCkp+3oWDAAmIVnVc2IkK
    wNSD9F+c3an2k5jMxj/QeWJpCrOR1zOdJyV8b+D4pXvngO7a//kz2pc9kLEDGDQy
    z1CmuDkU7FjdU1DawCMYipGpHH4N+KEOBe4T9vEeLbAt6WKcYyteJ3boW8wMwvJg
    LQ0DXNIl0Gmgf+I0Zz0mZ+4WL7FfpaC0LhhHpoIqlaFPNHTPQx7TCGCnjC2qZ1UG
    u7wyjElQZ7TkWVgbY7vf7dDGEOnGemwUAaQTxoDzJArvvDyb4KWAWLDu4Hu8eLjE
    m0o3YdgprJxaJ3FLnt4wzkUFEeR3Mm8QAvOF5avZHROx8uVbjYZ7H4c9lgE98n1z
    jhK5MmeLSG1NmXWAyIQiPuVzjG+DQyY7Cob3dKWES9wQ9HiJAjgEEwECACIFAleX
    Z7wCGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEM2EvO1iZHHxonYP/15F
    BZ6Rp5fx4BwCDOC4VLXY4OWDbeUnHTR3TMuFlwDovJxglGYU34zS2xUNnrLtsvLX
    +HRgVi9iUmThkT7qxvgj8ZKQzKp5kDLzCEQth8SmFdVjHT/CDKd3nvATSUOjz/Oa
    3esrV4PTMmKg3twvcD+3cv75qXiDCaq1N9QiX3oBdzdgF7+vBdKLtKEQ1UpiNNoy
    6A/kEn2RRm5oiOZdla9ERtRGAExZHu5HnpcokHAMFAy0erYChmzaI1Hd0byvvRJv
    9wxKACqHANl95XvWvv4935qy/FhvQl402Bnayz8EDnJqlQpkuC6FXrLslJ8d1vur
    W3WP/B+qBi1AkHkrfUkbGP7JpHFwXwtu8ZkE2FoglX6zgeZN6rjIjbSkJE13yUtj
    zRcAhJOTwM/CBMs68w8psNhbj78ULwnqqgP0MHJDEN25Rafm4PgttVn3q/34u1/0
    snNrEVVIT91Ky+AU2Ojq7b254bppPFQg5zhaLeYLSo2GqjIBuDpeD3bYQX+x3qF/
    dpBT2ulw9tyw2iCcaCsp/JES8yUGxD1TelFwo+UbTlt9RxrJeSHn2ohVTiQoJpbo
    sHLV+QFjJjc2Pl6gIB71+b2K+LnwV0j7uwpzYDV8y5VLzcHfvSyoCy7q/au+pjPq
    dLlUUhZgmYvyRtSZ/kVbBu5wfv+Ov2zdsHTBQdwjuQINBFeXaH8BEADO0x1PmKDk
    wozTZMWyYa91zRJBUc8nKY9OHqL9fABtJ5pMSu8Ys/eR77Zx0KMw56ziy14gjkxT
    poPnuLXNT/rGFnZmvyxnh8I7N+qgjgA4h566I74jlvLY/4z6+Pa/9TsoxZ6LEWNO
    Si1Zy8YauI/WNxFjUUcytN+r/mVlg0cfPP/bO+zOrTb9Y/5v8aHVF/XJ+vkOVcrD
    pD7t+QKDwFZ8uJyFO0eJHQ5w7Sa0PoQLHP6KoMSVtIB4T1DTZ84VMXiycfAIm/KQ
    dDgQq50ShdwgQ5HxPIfa0qisPzbUT8NJX04D1cgGkMdq8VDcYKzb0ZBypyLjqc4u
    f8taqBMHzqyAfiadCsaxx5VjN/xq8zxzxPLGS58F3+TTWU+fWwr/nvcBZ0VFdWY4
    IyaXE9wjyTX6IYfULvPRpfjc2+EQjfF9uBMrwT/sqWuf/nFdS7ZQFii/SApplHLc
    ukYX/JJHWm+cdmZQ/nybLYsN9YMd0esaaSMtqrKT/6oL00rBRAFLuNXsybXkHRuR
    HuCsvH683mVdV4bDIMvZ1tFPT5wfyWgdv6UE5HwBsObhIld1pF0O0/Krzko36Ob7
    01OhHP6jJ0v2uaC5TnNFwgO1oWJivtm2QslTdTTaunS5/8N3K0W3NL9gRumCDZSL
    furnmaXvTvMkvYO8F9/L8XaSI2lV9ni7lwARAQABiQQ+BBgBAgAJBQJXl2h/AhsC
    AikJEM2EvO1iZHHxwV0gBBkBAgAGBQJXl2h/AAoJEPk1JaiLaZApD88P/1z+ydDa
    KiT0f08WKdia44Dq1/g1ufTJf2g5OyUMnyi3pIHg5cZcZ5PSW+rK1thV4CWJ8ESV
    hFUVhm3vp1uOGqayYMxmxgdtpchgtlI+5MRNUTelmulaGb1CSFt4TKKECh+BaV4G
    Ylx3xVeevOw2QkY2iQDqCpn+V2om3MzCR4cznwMej+AU002XF7wzzc8cDSs3jwXo
    NTi1l4S/P79AauefgNZwGGZaj7Zku9MsjhwH3fz2PySzsUUVcuLWCdaKBavb24a/
    yJmkCd5jrjXhxlbcbv3BMjAABNG8i+sj2ly+uJSsx07JxNzBc5p315er+Yl2Dx0S
    kqIgDxVz1Q11P3dpm3yvrXQts5GZ2r7AWMSFa+HvEq72EWb/dQxBRpWXeOwiWplP
    gbx6z5EsecpU7MsxGi+pEpFuwKxfEjGxWrHOEpDn7AsKmKxU18fnVYJNIugDPuzS
    MosJLO55QhuFXa80EzmUUs0KXflSA3Vpi5G6wjsbKqQ9P8DxVaPFXGfujZIEjDK7
    iFniMWyreoc7KAi5G104dFfW9ESansUDf59WfHQIlSKV+caOF/+jJ18QLoa5ZSf2
    RMR/Z4mw43BD2A9D1AL1wUZEVGtXBBx6OvtX4MFlJ3Njxgu+ftGpHcyaVd2laKOq
    PueiLYL6RtWpsuJf8tZ7ZrGAoT5RMHuUZ2Xu/bkP/324UjMmaoB2EQARCBvXsvuQ
    5XQw4HAW1np8SUlpARBXj0mJCaBPMAsOBcPQAKlPmqhBgIFPC7ObYP3d6R8yfPEX
    w+bBbprZzOsbUqhGKvYRrKGASg4m5Ycud5vmdRztfeSsY1InebL6UzDZADfAhfsQ
    BLoklSdkWnvBrB5x0J6REX1kTVn9kGJRlHXsORsChiMRhkXGJcBwbqwUQz25Mb7L
    3VFxA+ry1j6PDZ3vpmMdKegqOc/ZXGya2JZDvIuP/m2OtXNB+0httBBMrhXg7hpX
    ZjXCCQNs080nq3RuJCQdC/7i9osyic58yAZ1Z1gniET2eW3rUCoaJ06fIzE5v7Ze
    lXKk6g49xPJOp7wFSMJy8dDC6RkuTdcTs5ChHTBkEWE6vgkJjNPEjP1ditLKRmCR
    kynw7jNs/6PVlNe0kS+88eM5LUeQvU7Uf5b3x2eX6hAw1CEe+8TpR9YSiV+5a8Gl
    8/XalSdFAADIIGqXgkAV6gIkR0kaTPygU4XG/SQKl3skzWBYSza7TDrX7kx6WaWI
    ciZaLKGBXhfIpbqN4pYil70TkvtvxI8jkcd1PuinLcbtoPVcjeSN1oiIyclurSdK
    9zlWpETtS/QQRx6m8V6K5gdjJ2W7FHI1/+2zYmyR8Sew5zUmJL4Y94igaYUvzmq0
    U7NziyphAaEuP2IxF+Y3
    =kEox
    -----END PGP PUBLIC KEY BLOCK-----

targets:
  lxc:
    create_message: |
      You just created an {{ image.distribution }} container.
    config:
    - type: all
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/common.conf

    - type: user
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/userns.conf

    - type: all
      content: |-
        lxc.arch = {{ image.architecture_kernel }}

files:
- path: /etc/hostname
  generator: hostname

- path: /etc/hosts
  generator: hosts

- path: /etc/config/network
  generator: dump
  content: |-
    config interface 'loopback'
        option ifname 'lo'
        option proto 'static'
        option ipaddr '127.0.0.1'
        option netmask '255.0.0.0'

    config interface 'wan'
        option ifname 'eth0'
        option proto 'dhcp'

    config interface 'wan6'
        option ifname 'eth0'
        option proto 'dhcpv6'

packages:
  # Note: Older releases of OpenWrt use "opkg" package manager.
  manager: apk
  update: false
  cleanup: true
  sets:
  - packages:
    - sudo
    action: install
    releases:
    - 23.05

actions:
- trigger: post-unpack
  action: |
    #!/bin/sh
    mkdir -p /var/lock
    echo "console::askfirst:/usr/libexec/login.sh" >> /etc/inittab
  architectures:
  - amd64

- trigger: post-files
  action: |
    #!/bin/sh

    # Disable process isolation to make dnsmasq work
    sed -i 's/procd_add_jail/: \0/g' /etc/init.d/dnsmasq
    # Disable conflicting sysntpd service to avoid crash loop
    rm -f /etc/rc.d/*sysntpd
